Bug 117820 - Trigger script invokes xftcache
Trigger script invokes xftcache
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: ttfonts (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-08 17:51 EST by Davide Bolcioni
Modified: 2007-04-18 13:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:14:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Davide Bolcioni 2004-03-08 17:51:53 EST
Description of problem:
When updating XFree86 in Fedora Core 1 to XFree86-4.3.0-55, I was
given an error about missing xftcache which I traced to a trigger
script in ttfonts.

Version-Release number of selected component (if applicable):
ttfonts-1.0-9

How reproducible:
Once.

Steps to Reproduce:
1. Install RedHat 7.3, including ttfonts.
2. Upgrade to RedHat 9 (this may be unnecessary, but I did so)
3. Upgrade to Fedora Core 1
4. Apply updates up to XFree86-4.3.0-55.
  
Actual results:
/var/tmp/rpm-4343: line 1: xftcache: command not found

Expected results:
No error message.

Additional info:
I cannot tell if this is missing a dependency (xftcache should really
be there) or not checking that xftcache is there before invoking it.
Maybe it's a case of "old packages never die, they just ..."
Comment 1 Bill Nottingham 2006-08-04 23:47:57 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 2 Bill Nottingham 2006-10-18 12:14:26 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.